import { EventEmitter } from "@angular/core";
import * as common from "./common";
export * from "./common";
export declare class NodeComponent<T> {
    data: common.TreeData<T>;
    last: boolean;
    checkbox?: boolean;
    path: number[];
    draggable?: boolean;
    preid?: string;
    toggle: EventEmitter<common.EventData<T>>;
    change: EventEmitter<common.EventData<T>>;
    hovered: boolean;
    doubleClick: common.DoubleClick;
    readonly nodeClassName: string;
    readonly anchorClassName: string;
    readonly checkboxClassName: string;
    readonly iconClassName: string;
    readonly pathString: string;
    readonly hasMarker: boolean | undefined;
    readonly markerClassName: string;
    readonly eventData: common.EventData<T>;
    readonly id: string | undefined;
    geChildPath(index: number): number[];
    hover(hovered: boolean): void;
    ontoggle(eventData?: common.EventData<T>): void;
    onchange(eventData?: common.EventData<T>): void;
}
export declare class TreeComponent<T> {
    data: common.TreeData<T>[];
    checkbox?: boolean;
    draggable?: boolean;
    nodots?: boolean;
    size?: string;
    theme?: string;
    dropAllowed?: (dropData: common.DropData<T>) => boolean;
    preid?: string;
    toggle: EventEmitter<common.EventData<T>>;
    change: EventEmitter<common.EventData<T>>;
    drop: EventEmitter<common.DropData<T>>;
    dragTarget: HTMLElement | null;
    dropTarget: HTMLElement | null;
    readonly rootClassName: string;
    readonly containerClassName: string;
    canDrop(event: DragEvent): string | false | undefined;
    ontoggle(eventData: common.EventData<T>): void;
    onchange(eventData: common.EventData<T>): void;
    ondragstart(event: DragEvent): void;
    ondragend(event: DragEvent): void;
    ondragover(event: DragEvent): void;
    ondragenter(event: DragEvent): void;
    ondragleave(event: DragEvent): void;
    ondrop(event: DragEvent): void;
}
export declare class TreeModule {
}
