/// <reference types="react" />
import * as React from "react";
import * as common from "./common";
export * from "./common";
export declare class Tree<T> extends React.PureComponent<{
    data: common.TreeData<T>[];
    checkbox?: boolean;
    draggable?: boolean;
    nodots?: boolean;
    size?: string;
    theme?: string;
    dropAllowed?: (dropData: common.DropData<T>) => boolean;
    zindex?: number;
    preid?: string;
    toggle?: (eventData?: common.EventData<T>) => void;
    change?: (eventData?: common.EventData<T>) => void;
    drop?: (dropData: common.DropData<T>) => void;
}, {
    dragTarget: HTMLElement | null;
    dropTarget: HTMLElement | null;
}> {
    dragTarget: HTMLElement | null;
    dropTarget: HTMLElement | null;
    render(): JSX.Element;
    readonly rootClassName: string;
    readonly containerClassName: string;
    canDrop(event: React.DragEvent<HTMLElement>): string | false | undefined;
    ontoggle(eventData: common.EventData<T>): void;
    onchange(eventData: common.EventData<T>): void;
    ondragstart(event: React.DragEvent<HTMLElement>): void;
    ondragend(event: React.DragEvent<HTMLElement>): void;
    ondragover(event: React.DragEvent<HTMLElement>): void;
    ondragenter(event: React.DragEvent<HTMLElement>): void;
    ondragleave(event: React.DragEvent<HTMLElement>): void;
    ondrop(event: React.DragEvent<HTMLElement>): void;
}
